Bug 89816 - Expand root node of an opened project to first level
Expand root node of an opened project to first level
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Generic Projects UI
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Milan Kubec
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-22 09:51 UTC by Jiri Sedlacek
Modified: 2009-02-19 22:56 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Sedlacek 2006-11-22 09:51:30 UTC
Based on user feedback and discussion of nb-usability team:

When a (single) project is opened in the IDE, its root node should be expanded 
to the first level (to see sources, web pages, tests etc.). Typically the user 
wants to do something with the opened project and always have to expand the 
project root manually.

When opening two or more projects no automatic expansion should happen.
Comment 1 Milan Kubec 2008-11-11 12:17:14 UTC
http://hg.netbeans.org/main/rev/1f739e70690e
Comment 2 Quality Engineering 2008-11-12 04:59:20 UTC
Integrated into 'main-golden', will be available in build *200811120201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a4492f5783ae
User: Milan Kubec <mkubec@netbeans.org>
Log: #89816: if only one project is opened then expand its node
Comment 3 Tomas Danek 2008-12-10 13:53:34 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo